'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var useGlobalObjectEventListener = require('./useGlobalObjectEventListener.js');

/**
 *
 * useOnWindowResize hook
 *
 * Fires a callback when window resizes
 *
 * @param {Function} callback Callback to be called before unmount
 * @param {boolean} when When the handler should be applied
 * @param {boolean} isLayoutEffect Should it use layout effect. Defaults to false
 * @see https://rooks.vercel.app/docs/useOnWindowResize
 */
function useOnWindowResize(callback, when = true, isLayoutEffect = false) {
    useGlobalObjectEventListener.useGlobalObjectEventListener(global.window, "resize", callback, { passive: true }, when, isLayoutEffect);
}

exports.useOnWindowResize = useOnWindowResize;
